Bug 138466 - Crash when creating different scenarios ( steps in comment 4 )
Summary: Crash when creating different scenarios ( steps in comment 4 )
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.3.1 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2 tar...
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-11-24 16:08 UTC by Agostina
Modified: 2020-12-02 10:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Excercise for practice in creating different scenarios (35.24 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-11-24 16:10 UTC, Agostina
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostina 2020-11-24 16:08:22 UTC
Description:
When I try to make different scenarios. I created 3 different scenarios with formulaes 

Steps to Reproduce:
1. Create a chart that changes when the values in the cell are modified
2. Create 3 different scenarios (that cannot be modified)
3. Try to save changes. 


Actual Results:
When i tried to save the changes (after creating the 3 different scenarios) it crashed. When I tried to reopen Calc, it wouldn't let me. 
Had to reset the CPU in order for Calc to be able to open.
Some of the times the file is saved with the alterations. Others the file opens but prior to creating the scenarios

Expected Results:
It should have saved 3 different scenarios 


Reproducible: Sometimes


User Profile Reset: No



Additional Info:
Version: 7.0.3.1 (x64)
Build ID: d7547858d014d4cf69878db179d326fc3483e082
CPU threads: 8; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: es-AR (es_AR); Interfaz: es-ES
Calc: CL
Comment 1 Agostina 2020-11-24 16:10:49 UTC
Created attachment 167542 [details]
Excercise for practice in creating different scenarios

Crash happened when trying to modify cells C3:C5 with different percentages and creating 3 different unmodifiable scenarios
Comment 2 Xisco Faulí 2020-11-25 11:43:30 UTC
Reproduced in

Version: 7.1.0.0.beta1+
Build ID: e2cffcf55b04838abc7497f6c18518c7600b670b
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

Steps:
1. Select Scenario 1
2. Save
3. Repeat step 1 and 2 three times -> Crash
Comment 3 Xisco Faulí 2020-11-25 11:51:48 UTC
ahh, no longer crashes after cleaning the profile, sigh....
Comment 4 Xisco Faulí 2020-11-25 12:28:08 UTC
Ok, I found how to reproduce it with a clean profile

Steps:
1. Open attached document
2. Save it with another document
3. Select Scenario 1
4. Save
5. Repeat step 3 and 4 three times -> Crash
Comment 5 Xisco Faulí 2020-11-25 12:40:59 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=4176beb7ef831152ce92ac3fa31314438635ec2c

author	Noel Grandin <noelgrandin@gmail.com>	2020-09-12 18:21:44 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2020-09-13 08:13:18 +0200
commit	4176beb7ef831152ce92ac3fa31314438635ec2c (patch)
tree	9a056e7116a6dfee3e57e49e4675ea60a633dc0f
parent	b42d55577566b2e6ca96530868a456b111632f94 (diff)
tdf#133327 fix calc loading background color with many cols

Bisected with: bibisect-linux64-7.1

Adding Cc: to Noel Grandin
Comment 6 Noel Grandin 2020-11-27 18:27:10 UTC
Sorry I do not understand how to reproduce - I do not see a Scenario1 in the attachment
Comment 7 Xisco Faulí 2020-11-27 18:45:13 UTC
(In reply to Noel Grandin from comment #6)
> Sorry I do not understand how to reproduce - I do not see a Scenario1 in the
> attachment

See the dropdownlist in I1
Comment 8 Commit Notification 2020-11-28 08:04:35 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/52aebe6986bcec07071adb3f94d6c09fea147044

tdf#138466 Crash when creating different scenarios

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2020-11-28 12:53:01 UTC
Verified in

Version: 7.2.0.0.alpha0+
Build ID: 87191b03e79e909a8ace3bcac35cfeea7f0d34ea
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Noel, thanks for fixing this issue!
Comment 10 Commit Notification 2020-11-28 14:53:08 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/7f2828aa84f87c85c92969a9b0eace4df75870df

tdf#138466 Crash when creating different scenarios

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-11-28 14:53:23 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/f92ea2dfaacc63a7a1721652d68faefd34395847

tdf#138466 Crash when creating different scenarios

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-11-29 20:43:05 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0-4":

https://git.libreoffice.org/core/commit/9391b071d5e651f4d9dc963944b28b078cf26bfa

tdf#138466 Crash when creating different scenarios

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.